compiling against OpenLDAP 2.0.11

Joe Little jlittle at open-it.org
Fri Jun 15 17:37:26 CEST 2001


well, the patches are now a part of my RPM at open-it.org (Thanks to 
Michael and Konstantin). I haven't been able to get an unpatched version 
to compile either. David has his own tree which he indicated does 
compile against 2.x, but I am unsure if/when that may be added to the 
main tree. Some people like to stick w. 1.x for stability and 
completeness, others just want 2.0. :)

Separately, email me directly. I've been playing around with ZopeLDAP 
and jshell hasn't answered back. Maybe you can clue me in to the status 
of all things LDAP in regards to Zope. (I'm most interested in 
documentation of current ZClass integration, etc)


On Friday, June 15, 2001, at 08:29  AM, Jens Vagelpohl wrote:

> hi guys,
>
> a couple days ago there were some posts indicating that python-ldap 
> does indeed build against 2.0.11.
>
> i just tried building a python-ldap head CVS checkout against 2.0.11 
> and it stops with the well-known...
>
> <snip>
> checking for library containing ber_free... -llber
> checking for library containing ldap_open... no
> checking for ldap_open... no
> configure: error: Couldn't find LDAP library
> </snip>
>
> can anyone confirm what the status is vis-a-vis OpenLDAP 2.x (or just 
> 2.0.
> 11)? the postings led me to believe that no extra patches were needed 
> at this point. if they are, can someone point them out? :)
>
> jens
>
> 


More information about the python-ldap mailing list